petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetUseInPlace

Tells the system to do an in-place factorization. For dense matrices, this enables the solution of much larger problems. For sparse matrices the factorization cannot be done truly in-place so this does not save memory during the factorization, but after the matrix is factored, the original unfactored matrix is freed, thus recovering that space.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetUseInPlace(PC pc,PetscBool flg)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| flg | - PETSC_TRUE to enable, PETSC_FALSE to disable Many br

### Options Database Key

-pc_factor_in_place <true,false> -Activate/deactivate in-place factorization Many br

### Notes

PCFactorSetUseInplace() can only be used with the KSP method KSPPREONLY or when Many bra different matrix is provided for the multiply and the preconditioner in Many bra call to KSPSetOperators(). Many brThis is because the Krylov space methods require an application of the Many brmatrix multiplication, which is not possible here because the matrix has Many brbeen factored in-place, replacing the original matrix. Many br

Many br

### Keywords

PC, set, factorization, direct, inplace, in-place, LU

### See Also

PCFactorGetUseInPlace()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages